Is this the case?
I installed the appliance 7 beta and tried to connect to it with outlook 2003 sp3 and zimbra connector downloaded from the server.
Got the message that the connector isnīt compatible with the server version.